library zhihu.daily;

import 'dart:convert';
import 'dart:async';
import 'package:http/http.dart';
import './src/constants.dart';
import './src/models.dart';
import './src/utils.dart';
export './src/models.dart';

class Zhihu {
  Future<StartImage> fetchStartImage({StartImageSize size}) async {
    Response response = await get(buildUrl(ApiType.startImage, startImageSize: size));
    Map body = JSON.decode(response.body);
    StartImage result;
    if (body.containsKey('text') && body.containsKey('img')) {
      result = new StartImage.fromJsno(body);
    }
    return result;
  }

  Future<List<List<News>>> fetchLatestNews() async {
    Response response = await get(buildUrl(ApiType.latestNews));
    Map body = JSON.decode(response.body);
    List<List<News>> result;
    if (body.containsKey('date') && body.containsKey('stories')) {
      result = <List<News>>[];

      String date = body['date'];
      List list = body['top_stories'];
      List<News> topStories = <News>[];
      list.forEach((item) {
        topStories.add(new News.top(item)..date = date);
      });
      result.add(topStories);

      list = body['stories'];
      List<News> stories = <News>[];
      list.forEach((item) {
        stories.add(new News.fromJson(item)..date = date);
      });
      result.add(stories);
    }
    return result;
  }
}
